<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 

if (is_admin(array(101))) {
  show_title('setting.png', 'Настройки сайта');
  $config['newtitle'] = 'Настройки сайта';

  $queryset = DB :: $dbh -> query("SELECT `setting_name`, `setting_value` FROM `setting`;");
  $setting = $queryset -> fetchAssoc();

  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case "index":

    if ($log == $config['nickname']) {
      echo'<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setone&amp;' . SID . '">Основные настройки</a><br />';
    } 

    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=settwo&amp;' . SID . '">Вывод информации</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setthree&amp;' . SID . '">Гостевая/Новости/Реклама</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setfour&amp;' . SID . '">Форум/Галерея/Объявления</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setfive&amp;' . SID . '">Закладки/Голосования/Приват</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setsix&amp;' . SID . '">Загруз-центр</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setseven&amp;' . SID . '">Постраничная навигация</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=seteight&amp;' . SID . '">Прочее/Другое</a><br />';
    // echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setnine&amp;'.SID.'">Кэширование</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=setten&amp;' . SID . '">Защита/Безопасность</a><br />';
    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="setting.php?act=seteleven&amp;' . SID . '">Стоимость и цены</a><br /><br />';
    break;
  # ###########################################################################################
  # #                               Форма основных настроек                                  ##
  # ###########################################################################################
  case 'setone':

    if ($log == $config['nickname']) {
      echo '<b>Основные настройки</b><br /><hr />';

      echo '<div class="form">';
      echo '<form method="post" action="setting.php?act=editone&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

      echo 'Логин администратора:<br /><input name="nickname" maxlength="20" value="' . $setting['nickname'] . '" /><br />';
      echo 'E-mail администратора:<br /><input name="emails" maxlength="50" value="' . $setting['emails'] . '" /><br />';
      echo 'Временной сдвиг:<br /><input name="timeclocks" maxlength="3" value="' . $setting['timeclocks'] . '" /><br />';
      echo 'Заголовок всех страниц:<br /><input name="title" maxlength="100" value="' . $setting['title'] . '" /><br />';
      echo 'Подпись вверху:<br /><input name="logos" maxlength="100" value="' . $setting['logos'] . '" /><br />';
      echo 'Подпись внизу:<br /><input name="copy" maxlength="100" value="' . $setting['copy'] . '" /><br />';
      echo 'Главная страница сайта:<br /><input name="home" maxlength="50" value="' . $setting['home'] . '" /><br />';
      echo 'Адрес логотипа:<br /><input name="logotip" maxlength="100" value="' . $setting['logotip'] . '" /><br />';
      echo 'Расширение страниц движка:<br /><input name="ras" maxlength="6" value="' . $setting['ras'] . '" /><br />';
      echo 'Время антифлуда (сек):<br /><input name="floodstime" maxlength="3" value="' . $setting['floodstime'] . '" /><br />';
      // echo 'Лимит запросов с IP:<br /><input name="doslimit" maxlength="3" value="'.$setting['doslimit'].'" /><br />';
      echo 'Ключ для cookies:<br /><input name="keypass" maxlength="25" value="' . $setting['keypass'] . '" /><br />';
      # ----------------------------------------#
      echo 'Wap-тема по умолчанию:<br />';
      echo '<select name="themes">';
      echo '<option value="' . $setting['themes'] . '">' . $setting['themes'] . '</option>';

      $globthemes = glob(BASEDIR . "themes/*", GLOB_ONLYDIR);
      foreach ($globthemes as $wapthemes) {
        if (basename($wapthemes) != $setting['themes']) {
          echo '<option value="' . basename($wapthemes) . '">' . basename($wapthemes) . '</option>';
        } 
      } 
      echo '</select><br />';
      # ----------------------------------------#
      echo 'Web-тема по умолчанию:<br />';
      echo '<select name="webthemes">';

      if (empty($setting['webthemes'])) {
        echo '<option value="0">Выключить</option>';
      } else {
        echo '<option value="' . $setting['webthemes'] . '">' . $setting['webthemes'] . '</option>';
        echo '<option value="0">Выключить</option>';
      } 

      $globthemes = glob(BASEDIR . "themes/*", GLOB_ONLYDIR);
      foreach ($globthemes as $webthemes) {
        if (basename($webthemes) != $setting['webthemes']) {
          echo '<option value="' . basename($webthemes) . '">' . basename($webthemes) . '</option>';
        } 
      } 
      echo '</select><br />';
      # ----------------------------------------#
      echo 'Время карантина:<br />';
      echo '<select name="karantin">';
      $karantin = array(0 => 'Выключить', 21600 => '6 часов', 43200 => '12 часов', 86400 => '24 часа', 129600 => '36 часов', 172800 => '48 часов');

      echo '<option value="' . $setting['karantin'] . '">' . $karantin[$setting['karantin']] . '</option>';

      foreach($karantin as $k => $v) {
        if ($k != $setting['karantin']) {
          echo '<option value="' . $k . '">' . $v . '</option>';
        } 
      } 
      echo '</select><br />';

      echo 'Подтверждение регистрации:<br />';
      echo '<select name="regkeys">';
      $regist = array(0 => 'Выключить', 1 => 'Автоматически', 2 => 'Вручную');

      echo '<option value="' . $setting['regkeys'] . '">' . $regist[$setting['regkeys']] . '</option>';

      foreach($regist as $k => $v) {
        if ($k != $setting['regkeys']) {
          echo '<option value="' . $k . '">' . $v . '</option>';
        } 
      } 
      echo '</select><br />';

      echo '<br />Регистрация без E-mail: ';
      $checked = ($setting['regmail'] == 1) ? ' checked="checked"' : '';
      echo '<input name="regmail" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Связь с админом в приват: ';
      $checked = ($setting['sendmail'] == 1) ? ' checked="checked"' : '';
      echo '<input name="sendmail" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Разрешить вход по кукам: ';
      $checked = ($setting['cookies'] == 1) ? ' checked="checked"' : '';
      echo '<input name="cookies" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Разрешить кэширование: ';
      $checked = ($setting['nocache'] == 1) ? ' checked="checked"' : '';
      echo '<input name="nocache" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Разрешить регистрацию: ';
      $checked = ($setting['openreg'] == 1) ? ' checked="checked"' : '';
      echo '<input name="openreg" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Включить сжатие GZIP: ';
      $checked = ($setting['gzip'] == 1) ? ' checked="checked"' : '';
      echo '<input name="gzip" type="checkbox" value="1"' . $checked . ' /><br />';

      echo 'Временно закрыть сайт: ';
      $checked = ($setting['closedsite'] == 1) ? ' checked="checked"' : '';
      echo '<input name="closedsite" type="checkbox" value="1"' . $checked . ' /><br />';

      echo '<input value="Изменить" type="submit" /></form></div><br />';
    } else {
      show_error('Ошибка! Основные настройки доступны только старшему суперадминистратору!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                                Изменение основных настроек                             ##
  # ###########################################################################################
  case 'editone':

    $uid = check($_GET['uid']);
    $regmail = (empty($_POST['regmail'])) ? 0 : 1;
    $sendmail = (empty($_POST['sendmail'])) ? 0 : 1;
    $cookies = (empty($_POST['cookies'])) ? 0 : 1;
    $nocache = (empty($_POST['nocache'])) ? 0 : 1;
    $openreg = (empty($_POST['openreg'])) ? 0 : 1;
    $gzip = (empty($_POST['gzip'])) ? 0 : 1;
    $closedsite = (empty($_POST['closedsite'])) ? 0 : 1;

    if ($log == $config['nickname']) {
      if ($uid == $_SESSION['token']) {
        if ($_POST['nickname'] != "" && $_POST['emails'] != "" && $_POST['timeclocks'] != "" && $_POST['title'] != "" && $_POST['logos'] != "" && $_POST['copy'] != "" && $_POST['home'] != "" && $_POST['logotip'] != "" && $_POST['ras'] != "" && $_POST['floodstime'] != "" && $_POST['keypass'] != "" && $_POST['themes'] != "" && $_POST['webthemes'] != "" && $_POST['karantin'] != "" && $_POST['regkeys'] != "") {
          $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
          $dbr -> execute(check($_POST['nickname']), 'nickname');
          $dbr -> execute(check($_POST['emails']), 'emails');
          $dbr -> execute(check($_POST['timeclocks']), 'timeclocks');
          $dbr -> execute(check($_POST['title']), 'title');
          $dbr -> execute(check($_POST['logos']), 'logos');
          $dbr -> execute(check($_POST['copy']), 'copy');
          $dbr -> execute(check($_POST['home']), 'home');
          $dbr -> execute(check($_POST['logotip']), 'logotip');
          $dbr -> execute(check($_POST['ras']), 'ras');
          $dbr -> execute(intval($_POST['floodstime']), 'floodstime');
          $dbr -> execute(check($_POST['keypass']), 'keypass');
          $dbr -> execute(check($_POST['themes']), 'themes');
          $dbr -> execute(check($_POST['webthemes']), 'webthemes');
          $dbr -> execute(intval($_POST['karantin']), 'karantin');
          $dbr -> execute(intval($_POST['regkeys']), 'regkeys');
          $dbr -> execute($regmail, 'regmail');
          $dbr -> execute($sendmail, 'sendmail');
          $dbr -> execute($cookies, 'cookies');
          $dbr -> execute($nocache, 'nocache');
          $dbr -> execute($openreg, 'openreg');
          $dbr -> execute($gzip, 'gzip');
          $dbr -> execute($closedsite, 'closedsite');

          save_setting();

          $_SESSION['note'] = 'Настройки сайта успешно изменены!';
          header ("Location: setting.php?act=setone&amp;" . SID);
          exit;
        } else {
          show_error('Ошибка! Все поля настроек обязательны для заполнения!');
        } 
      } else {
        show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
      } 
    } else {
      show_error('Ошибка! Основные настройки доступны только старшему суперадминистратору!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setone&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                                Форма вывода информации                                 ##
  # ###########################################################################################
  case 'settwo':

    echo '<b>Вывод информации</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=edittwo&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Отображение счетчика:<br /><select name="incount">';

    $incounters = array('Выключить', 'Хосты Хосты всего', 'Хиты Хиты всего', 'Хиты Хосты', 'Хиты всего Хосты всего', 'Графический');

    echo '<option value="' . $setting['incount'] . '">' . $incounters[$setting['incount']] . '</option>';

    foreach($incounters as $k => $v) {
      if ($k != $setting['incount']) {
        echo '<option value="' . $k . '">' . $v . '</option>';
      } 
    } 
    echo '</select><br />';

    echo 'Список скинов:<br /><select name="autoskins">';

    $inskin = array('Выключить', 'Обычный список', 'Список без кнопки');

    echo '<option value="' . $setting['autoskins'] . '">' . $inskin[$setting['autoskins']] . '</option>';

    foreach($inskin as $k => $v) {
      if ($k != $setting['autoskins']) {
        echo '<option value="' . $k . '">' . $v . '</option>';
      } 
    } 
    echo '</select><br />';

    echo 'Навигация:<br /><select name="navigation">';

    $innav = array('Выключить', 'Обычный список', 'Список без кнопки');

    echo '<option value="' . $setting['navigation'] . '">' . $innav[$setting['navigation']] . '</option>';

    foreach($innav as $k => $v) {
      if ($k != $setting['navigation']) {
        echo '<option value="' . $k . '">' . $v . '</option>';
      } 
    } 
    echo '</select><br />';

    echo 'Текст приветствия:<br />';
    echo '<input name="greeting" maxlength="255" value="' . $setting['greeting'] . '" /><br />';

    echo 'Вывод часов: ';
    $checked = ($setting['showtime'] == 1) ? ' checked="checked"' : '';
    echo '<input name="showtime" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Генерация: ';
    $checked = ($setting['generics'] == 1) ? ' checked="checked"' : '';
    echo '<input name="generics" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Онлайн: ';
    $checked = ($setting['onlines'] == 1) ? ' checked="checked"' : '';
    echo '<input name="onlines" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Цитаты: ';
    $checked = ($setting['quotes'] == 1) ? ' checked="checked"' : '';
    echo '<input name="quotes" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Календарь: ';
    $checked = ($setting['calendar'] == 1) ? ' checked="checked"' : '';
    echo '<input name="calendar" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Бегущая строка: ';
    $checked = ($setting['onliner'] == 1) ? ' checked="checked"' : '';
    echo '<input name="onliner" type="checkbox" value="1"' . $checked . ' /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';
    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                              Изменение вывода информации                               ##
  # ###########################################################################################
  case 'edittwo':

    $uid = check($_GET['uid']);
    $showtime = (empty($_POST['showtime'])) ? 0 : 1;
    $generics = (empty($_POST['generics'])) ? 0 : 1;
    $onlines = (empty($_POST['onlines'])) ? 0 : 1;
    $quotes = (empty($_POST['quotes'])) ? 0 : 1;
    $calendar = (empty($_POST['calendar'])) ? 0 : 1;
    $onliner = (empty($_POST['onliner'])) ? 0 : 1;

    if ($uid == $_SESSION['token']) {
      if ($_POST['incount'] != "" && $_POST['autoskins'] != "" && $_POST['navigation'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['incount']), 'incount');
        $dbr -> execute(intval($_POST['autoskins']), 'autoskins');
        $dbr -> execute(intval($_POST['navigation']), 'navigation');
        $dbr -> execute(check($_POST['greeting']), 'greeting');
        $dbr -> execute($showtime, 'showtime');
        $dbr -> execute($generics, 'generics');
        $dbr -> execute($onlines, 'onlines');
        $dbr -> execute($quotes, 'quotes');
        $dbr -> execute($calendar, 'calendar');
        $dbr -> execute($onliner, 'onliner');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=settwo&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=settwo&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                      Форма изменения гостевой, новостей и рекламы                      ##
  # ###########################################################################################
  case 'setthree':

    echo '<b>Настройки гостевой, новостей и рекламы</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editthree&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Вывод новостей на главную: <br />';

    $innews = array('Не выводить', '1 новость', '2 новости', '3 новости');
    echo '<select name="lastnews">';
    echo '<option value="' . $setting['lastnews'] . '">' . $innews[$setting['lastnews']] . '</option>';
    foreach ($innews as $k => $v) {
      if ($k != $setting['lastnews']) {
        echo '<option value="' . $k . '">' . $v . '</option>';
      } 
    } 
    echo '</select><br />';

    echo 'Новостей на страницу:<br /><input name="postnews" maxlength="2" value="' . $setting['postnews'] . '" /><br />';
    echo 'Сообщений в гостевой на стр.:<br /><input name="bookpost" maxlength="2" value="' . $setting['bookpost'] . '" /><br />';
    echo 'Неавторизованный пользователь:<br /><input name="guestsuser" maxlength="20" value="' . $setting['guestsuser'] . '" /><br />';
    echo 'Кол-во комментариев в новостях сохраняется:<br /><input name="maxkommnews" maxlength="4" value="' . $setting['maxkommnews'] . '" /><br />';
    echo 'Кол-во постов в гостевой сохраняется:<br /><input name="maxpostbook" maxlength="4" value="' . $setting['maxpostbook'] . '" /><br />';
    echo 'Сообщений в админ-чате на стр.:<br /><input name="chatpost" maxlength="2" value="' . $setting['chatpost'] . '" /><br />';
    echo 'Общее кол-во сообщений в админ-чате:<br /><input name="maxpostchat" maxlength="4" value="' . $setting['maxpostchat'] . '" /><br />';

    echo '<br />Допуск гостей: ';
    $checked = ($setting['bookadds'] == 1) ? ' checked="checked"' : '';
    echo '<input name="bookadds" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Реклама вверху: ';
    $checked = ($setting['rekhead'] == 1) ? ' checked="checked"' : '';
    echo '<input name="rekhead" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Реклама внизу: ';
    $checked = ($setting['rekfoot'] == 1) ? ' checked="checked"' : '';
    echo '<input name="rekfoot" type="checkbox" value="1"' . $checked . ' /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                         Изменение в гостевой,новостях и рекламе                        ##
  # ###########################################################################################
  case 'editthree':

    $uid = check($_GET['uid']);
    $bookadds = (empty($_POST['bookadds'])) ? 0 : 1;
    $rekhead = (empty($_POST['rekhead'])) ? 0 : 1;
    $rekfoot = (empty($_POST['rekfoot'])) ? 0 : 1;

    if ($uid == $_SESSION['token']) {
      if ($_POST['lastnews'] != "" && $_POST['postnews'] != "" && $_POST['bookpost'] != "" && $_POST['guestsuser'] != "" && $_POST['maxkommnews'] != "" && $_POST['maxpostbook'] != "" && $_POST['chatpost'] != "" && $_POST['maxpostchat'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['lastnews']), 'lastnews');
        $dbr -> execute(intval($_POST['postnews']), 'postnews');
        $dbr -> execute(intval($_POST['bookpost']), 'bookpost');
        $dbr -> execute(check($_POST['guestsuser']), 'guestsuser');
        $dbr -> execute(intval($_POST['maxkommnews']), 'maxkommnews');
        $dbr -> execute(intval($_POST['maxpostbook']), 'maxpostbook');
        $dbr -> execute(intval($_POST['chatpost']), 'chatpost');
        $dbr -> execute(intval($_POST['maxpostchat']), 'maxpostchat');
        $dbr -> execute($bookadds, 'bookadds');
        $dbr -> execute($rekhead, 'rekhead');
        $dbr -> execute($rekfoot, 'rekfoot');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setthree&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setthree&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                     Форма изменения форума, галереи и объявлений                       ##
  # ###########################################################################################
  case 'setfour':

    echo '<b>Настройки форума, галереи и объявлений</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editfour&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';
    echo 'Сообщений в форуме на стр.:<br /><input name="forumpost" maxlength="2" value="' . $setting['forumpost'] . '" /><br />';
    echo 'Тем в форуме на стр.:<br /><input name="forumtem" maxlength="2" value="' . $setting['forumtem'] . '" /><br />';
    echo 'Объявлений на стр.:<br /><input name="boardspost" maxlength="2" value="' . $setting['boardspost'] . '" /><br />';
    echo 'Кол-во дней показа объявлений:<br /><input name="boarddays" maxlength="3" value="' . $setting['boarddays'] . '" /><br />';
    echo 'Kол-во фото на стр.:<br /><input name="fotolist" maxlength="2" value="' . $setting['fotolist'] . '" /><br />';
    echo 'Максимальный вес фото (kb):<br /><input name="filesize" maxlength="6" value="' . round($setting['filesize'] / 1024) . '" /><br />';
    echo 'Максимальный размер фото (px):<br /><input name="filefoto" maxlength="3" value="' . $setting['filefoto'] . '" /><br />';
    echo 'Размер скриншотов (px):<br /><input name="previewsize" maxlength="3" value="' . $setting['previewsize'] . '" /><br />';
    echo 'Комментариев на страницу в галерее:<br /><input name="postgallery" maxlength="3" value="' . $setting['postgallery'] . '" /><br />';
    echo 'Комментариев сохраняется в галерее:<br /><input name="maxpostgallery" maxlength="3" value="' . $setting['maxpostgallery'] . '" /><br />';

    echo '<br />Наложение копирайта на изображения: ';
    $checked = ($setting['copyfoto'] == 1) ? ' checked="checked"' : '';
    echo '<input name="copyfoto" type="checkbox" value="1"' . $checked . ' /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';
    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                     Изменение в форуме, галерее и объявлениях                          ##
  # ###########################################################################################
  case 'editfour':

    $uid = check($_GET['uid']);
    $copyfoto = (empty($_POST['copyfoto'])) ? 0 : 1;

    if ($uid == $_SESSION['token']) {
      if ($_POST['forumpost'] != "" && $_POST['forumtem'] != "" && $_POST['boardspost'] != "" && $_POST['boarddays'] != "" && $_POST['fotolist'] != "" && $_POST['filesize'] != "" && $_POST['filefoto'] != "" && $_POST['previewsize'] != "" && $_POST['postgallery'] != "" && $_POST['maxpostgallery'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['forumpost']), 'forumpost');
        $dbr -> execute(intval($_POST['forumtem']), 'forumtem');
        $dbr -> execute(intval($_POST['boardspost']), 'boardspost');
        $dbr -> execute(intval($_POST['boarddays']), 'boarddays');
        $dbr -> execute(intval($_POST['fotolist']), 'fotolist');
        $dbr -> execute(intval($_POST['filesize'] * 1024), 'filesize');
        $dbr -> execute(intval($_POST['filefoto']), 'filefoto');
        $dbr -> execute(intval($_POST['previewsize']), 'previewsize');
        $dbr -> execute(intval($_POST['postgallery']), 'postgallery');
        $dbr -> execute(intval($_POST['maxpostgallery']), 'maxpostgallery');
        $dbr -> execute($copyfoto, 'copyfoto');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setfour&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setfour&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                    Форма изменения закладок, голосований и привата                     ##
  # ###########################################################################################
  case 'setfive':

    echo '<b>Настройки закладок, голосований и привата</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editfive&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Кол. писем во входящих:<br /><input name="limitmail" maxlength="3" value="' . $setting['limitmail'] . '" /><br />';
    echo 'Кол. писем в отправленных:<br /><input name="limitoutmail" maxlength="3" value="' . $setting['limitoutmail'] . '" /><br />';
    echo 'Срок хранения удаленных писем:<br /><input name="expiresmail" maxlength="2" value="' . $setting['expiresmail'] . '" /><br />';
    echo 'Писем в привате на стр.:<br /><input name="privatpost" maxlength="2" value="' . $setting['privatpost'] . '" /><br />';
    echo 'Листинг в контакт-листе:<br /><input name="contactlist" maxlength="2" value="' . $setting['contactlist'] . '" /><br />';
    echo 'Листинг в игнор-листе:<br /><input name="ignorlist" maxlength="2" value="' . $setting['ignorlist'] . '" /><br />';
    echo 'Максимальное кол. в контакт-листе:<br /><input name="limitcontact" maxlength="2" value="' . $setting['limitcontact'] . '" /><br />';
    echo 'Максимальное кол. в игнор-листе:<br /><input name="limitignore" maxlength="2" value="' . $setting['limitignore'] . '" /><br />';
    echo 'Кол-во голосований на стр.:<br /><input name="allvotes" maxlength="2" value="' . $setting['allvotes'] . '" /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';
    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                  Изменение в закладках, голосованиях и привате                         ##
  # ###########################################################################################
  case 'editfive':

    $uid = check($_GET['uid']);

    if ($uid == $_SESSION['token']) {
      if ($_POST['limitmail'] != "" && $_POST['limitoutmail'] != "" && $_POST['expiresmail'] != "" && $_POST['privatpost'] != "" && $_POST['contactlist'] != "" && $_POST['ignorlist'] != "" && $_POST['limitcontact'] != "" && $_POST['limitignore'] != "" && $_POST['allvotes'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['limitmail']), 'limitmail');
        $dbr -> execute(intval($_POST['limitoutmail']), 'limitoutmail');
        $dbr -> execute(intval($_POST['expiresmail']), 'expiresmail');
        $dbr -> execute(intval($_POST['privatpost']), 'privatpost');
        $dbr -> execute(intval($_POST['contactlist']), 'contactlist');
        $dbr -> execute(intval($_POST['ignorlist']), 'ignorlist');
        $dbr -> execute(intval($_POST['limitcontact']), 'limitcontact');
        $dbr -> execute(intval($_POST['limitignore']), 'limitignore');
        $dbr -> execute(intval($_POST['allvotes']), 'allvotes');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setfive&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setfive&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                             Форма изменения загруз-центра                              ##
  # ###########################################################################################
  case 'setsix':

    echo '<b>Настройки загруз-центра</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editsix&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Файлов в загрузках:<br /><input name="downlist" maxlength="2" value="' . $setting['downlist'] . '" /><br />';
    echo 'Комментариев в загрузках:<br /><input name="downcomm" maxlength="2" value="' . $setting['downcomm'] . '" /><br />';
    echo 'Сохраняется комментариев:<br /><input name="maxdowncomm" maxlength="4" value="' . $setting['maxdowncomm'] . '" /><br />';
    echo 'Хранение скачиваний (часов):<br /><input name="expiresloads" maxlength="3" value="' . $setting['expiresloads'] . '" /><br />';
    echo 'Хранение голосований (часов):<br /><input name="expiresrated" maxlength="3" value="' . $setting['expiresrated'] . '" /><br />';
    echo 'Просмотр архивов на стр.:<br /><input name="ziplist" maxlength="2" value="' . $setting['ziplist'] . '" /><br />';
    echo 'Макс. вес архива (Mb):<br /><input name="fileupload" maxlength="2" value="' . round($setting['fileupload'] / 1048576) . '" /><br />';
    echo 'Макс. вес скриншота (Kb):<br /><input name="screenupload" maxlength="3" value="' . round($setting['screenupload'] / 1024) . '" /><br />';
    echo 'Макс. размер скриншота (px):<br /><input name="screensize" maxlength="3" value="' . $setting['screensize'] . '" /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';
    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                                Изменение в загруз-центре                               ##
  # ###########################################################################################
  case 'editsix':

    $uid = check($_GET['uid']);

    if ($uid == $_SESSION['token']) {
      if ($_POST['downlist'] != "" && $_POST['downcomm'] != "" && $_POST['maxdowncomm'] != "" && $_POST['expiresloads'] != "" && $_POST['expiresrated'] != "" && $_POST['ziplist'] != "" && $_POST['fileupload'] != "" && $_POST['screenupload'] != "" && $_POST['screensize'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['downlist']), 'downlist');
        $dbr -> execute(intval($_POST['downcomm']), 'downcomm');
        $dbr -> execute(intval($_POST['maxdowncomm']), 'maxdowncomm');
        $dbr -> execute(intval($_POST['expiresloads']), 'expiresloads');
        $dbr -> execute(intval($_POST['expiresrated']), 'expiresrated');
        $dbr -> execute(intval($_POST['ziplist']), 'ziplist');
        $dbr -> execute(intval($_POST['fileupload'] * 1048576), 'fileupload');
        $dbr -> execute(intval($_POST['screenupload'] * 1024), 'screenupload');
        $dbr -> execute(intval($_POST['screensize']), 'screensize');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setsix&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setsix&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                           Форма изменения постраничной навигации                       ##
  # ###########################################################################################
  case 'setseven':

    echo '<b>Настройки постраничной навигации</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editseven&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Пользователей в юзерлисте:<br /><input name="userlist" maxlength="2" value="' . $setting['userlist'] . '" /><br />';
    echo 'Пользователей в кто-где:<br /><input name="showuser" maxlength="2" value="' . $setting['showuser'] . '" /><br />';
    echo 'Сохраняется истории в кто-где:<br /><input name="lastusers" maxlength="3" value="' . $setting['lastusers'] . '" /><br />';
    echo 'Пользователей в статистике вкладов:<br /><input name="vkladlist" maxlength="2" value="' . $setting['vkladlist'] . '" /><br />';
    echo 'Сайтов в кто-откуда<br /><input name="showref" maxlength="3" value="' . $setting['showref'] . '" /><br />';
    echo 'Сохраняется истории в кто-откуда:<br /><input name="referer" maxlength="3" value="' . $setting['referer'] . '" /><br />';
    echo 'Ссылок пирамиды на главной:<br /><input name="showlink" maxlength="2" value="' . $setting['showlink'] . '" /><br />';
    echo 'Пользователей в онлайне:<br /><input name="onlinelist" maxlength="2" value="' . $setting['onlinelist'] . '" /><br />';
    echo 'Смайлов на стр.:<br /><input name="smilelist" maxlength="2" value="' . $setting['smilelist'] . '" /><br />';
    echo 'Юзеров в рейтинге авторитетов на стр.:<br /><input name="avtorlist" maxlength="2" value="' . $setting['avtorlist'] . '" /><br />';
    echo 'Юзеров в рейтинге долгожителей:<br /><input name="lifelist" maxlength="2" value="' . $setting['lifelist'] . '" /><br />';
    echo 'Юзеров в списке забаненных:<br /><input name="banlist" maxlength="2" value="' . $setting['banlist'] . '" /><br />';
    echo 'Листинг в IP-бан панеле:<br /><input name="ipbanlist" maxlength="2" value="' . $setting['ipbanlist'] . '" /><br />';
    echo 'Заголовков на страницу:<br /><input name="headlines" maxlength="2" value="' . $setting['headlines'] . '" /><br />';
    echo 'Аватаров на страницу:<br /><input name="avlist" maxlength="2" value="' . $setting['avlist'] . '" /><br />';
    echo 'Файлов в редакторе админки:<br /><input name="editfiles" maxlength="2" value="' . $setting['editfiles'] . '" /><br />';
    echo 'Просмотр логов на страницу:<br /><input name="loglist" maxlength="2" value="' . $setting['loglist'] . '" /><br />';
    echo 'Данных на страницу в черном списке:<br /><input name="blacklist" maxlength="2" value="' . $setting['blacklist'] . '" /><br />';
    echo 'Пользователей в списке ожидающих:<br /><input name="reglist" maxlength="2" value="' . $setting['reglist'] . '" /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setfive&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                               Изменение постраничной навигации                         ##
  # ###########################################################################################
  case 'editseven':

    $uid = check($_GET['uid']);

    if ($uid == $_SESSION['token']) {
      if ($_POST['userlist'] != "" && $_POST['showuser'] != "" && $_POST['lastusers'] != "" && $_POST['vkladlist'] != "" && $_POST['showref'] != "" && $_POST['referer'] != "" && $_POST['showlink'] != "" && $_POST['onlinelist'] != "" && $_POST['smilelist'] != "" && $_POST['avtorlist'] != "" && $_POST['lifelist'] != "" && $_POST['banlist'] != "" && $_POST['ipbanlist'] != "" && $_POST['headlines'] != "" && $_POST['avlist'] != "" && $_POST['editfiles'] != "" && $_POST['loglist'] != "" && $_POST['blacklist'] != "" && $_POST['reglist'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['userlist']), 'userlist');
        $dbr -> execute(intval($_POST['showuser']), 'showuser');
        $dbr -> execute(intval($_POST['lastusers']), 'lastusers');
        $dbr -> execute(intval($_POST['vkladlist']), 'vkladlist');
        $dbr -> execute(intval($_POST['showref']), 'showref');
        $dbr -> execute(intval($_POST['referer']), 'referer');
        $dbr -> execute(intval($_POST['showlink']), 'showlink');
        $dbr -> execute(intval($_POST['onlinelist']), 'onlinelist');
        $dbr -> execute(intval($_POST['smilelist']), 'smilelist');
        $dbr -> execute(intval($_POST['avtorlist']), 'avtorlist');
        $dbr -> execute(intval($_POST['lifelist']), 'lifelist');
        $dbr -> execute(intval($_POST['banlist']), 'banlist');
        $dbr -> execute(intval($_POST['ipbanlist']), 'ipbanlist');
        $dbr -> execute(intval($_POST['headlines']), 'headlines');
        $dbr -> execute(intval($_POST['avlist']), 'avlist');
        $dbr -> execute(intval($_POST['editfiles']), 'editfiles');
        $dbr -> execute(intval($_POST['loglist']), 'loglist');
        $dbr -> execute(intval($_POST['blacklist']), 'blacklist');
        $dbr -> execute(intval($_POST['reglist']), 'reglist');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setseven&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setseven&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                            Форма основных прочих настроек                              ##
  # ###########################################################################################
  case 'seteight':

    echo '<b>Прочее/Другое</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editeight&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Сохраняется информации в лог-файле:<br /><input name="maxlogdat" maxlength="3" value="' . $setting['maxlogdat'] . '" /><br />';
    echo 'Ключевые слова (keywords):<br /><input name="keywords" maxlength="250" value="' . $setting['keywords'] . '" /><br />';
    echo 'Краткое описание (description):<br /><input name="description" maxlength="250" value="' . $setting['description'] . '" /><br />';
    echo 'Не сканируемые расширения (через запятую):<br /><input name="nocheck" maxlength="100" value="' . $setting['nocheck'] . '" /><br />';
    echo 'Максимальное время бана (суток):<br /><input name="maxbantime" maxlength="2" value="' . round($setting['maxbantime'] / 1440) . '" /><br />';

    echo 'Объяснение из бана: ';
    $checked = ($setting['addbansend'] == 1) ? ' checked="checked"' : '';
    echo '<input name="addbansend" type="checkbox" value="1"' . $checked . ' /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                                 Форма прочих настроек                                  ##
  # ###########################################################################################
  case 'editeight':

    $uid = check($_GET['uid']);
    $addbansend = (empty($_POST['addbansend'])) ? 0 : 1;

    if ($uid == $_SESSION['token']) {
      if ($_POST['maxlogdat'] != "" && $_POST['keywords'] != "" && $_POST['description'] != "" && $_POST['nocheck'] != "" && $_POST['maxbantime'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['maxlogdat']), 'maxlogdat');
        $dbr -> execute(check($_POST['keywords']), 'keywords');
        $dbr -> execute(check($_POST['description']), 'description');
        $dbr -> execute(check($_POST['nocheck']), 'nocheck');
        $dbr -> execute(intval($_POST['maxbantime'] * 1440), 'maxbantime');
        $dbr -> execute($addbansend, 'addbansend');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=seteight&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=seteight&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                               Форма изменения кеширования                              ##
  # ###########################################################################################
  /**
   * case "setnine":
   * 
   * echo '<b>Настройки кэширования</b><br /><hr />';	
   * 
   * echo '<div class="form">';
   * echo '<form method="post" action="setting.php?act=editnine&amp;uid='.$_SESSION['token'].'&amp;'.SID.'">';	
   * 
   * echo 'Кеш в юзерлисте: <br /><input name="userlistcache" maxlength="2" value="'.$setting['userlistcache'].'" /><br />';	
   * echo 'Рейтинг авторитетов: <br /><input name="avtorlistcache" maxlength="2" value="'.$setting['avtorlistcache'].'" /><br />';
   * echo 'Рейтинг толстосумов: <br /><input name="raitinglistcache" maxlength="2" value="'.$setting['raitinglistcache'].'" /><br />';
   * echo 'Поиск пользователей: <br /><input name="usersearchcache" maxlength="2" value="'.$setting['usersearchcache'].'" /><br />';
   * echo 'Рейтинг долгожителей: <br /><input name="lifelistcache" maxlength="2" value="'.$setting['lifelistcache'].'" /><br />';
   * echo 'Рейтинг вкладчиков: <br /><input name="vkladlistcache" maxlength="2" value="'.$setting['vkladlistcache'].'" /><br />';
   * echo 'Листинг администрации: <br /><input name="adminlistcache" maxlength="2" value="'.$setting['adminlistcache'].'" /><br />';
   * echo 'Кеширование при регистрации: <br /><input name="regusercache" maxlength="2" value="'.$setting['regusercache'].'" /><br />';
   * echo 'Популярныe скины: <br /><input name="themescache" maxlength="2" value="'.$setting['themescache'].'" /><br />';
   * 
   * echo '<br /><input value="Изменить" type="submit" /></form></div>';
   * 
   * echo '<br />* Все настройки измеряются в часах<br />';
   * echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="setting.php?'.SID.'">Вернуться</a><br />';
   * break;
   * 
   * ############################################################################################
   * ##                                  Изменение кэширования                                 ##
   * ############################################################################################
   * case "editnine":
   * 
   * $uid = check($_GET['uid']);
   * 
   * if ($uid==$_SESSION['token']){
   * if ($_POST['userlistcache']!="" && $_POST['avtorlistcache']!="" && $_POST['raitinglistcache']!="" &&  $_POST['usersearchcache']!="" && $_POST['lifelistcache']!="" && $_POST['vkladlistcache']!="" && $_POST['adminlistcache']!="" && $_POST['regusercache']!="" && $_POST['themescache']!=""){
   * 
   * $dbr = DB::$dbh->prepare("UPDATE setting SET setting_value=? WHERE setting_name=?;");
   * $dbr->execute(intval($_POST['userlistcache']), 'userlistcache');
   * $dbr->execute(intval($_POST['avtorlistcache']), 'avtorlistcache');
   * $dbr->execute(intval($_POST['raitinglistcache']), 'raitinglistcache');
   * $dbr->execute(intval($_POST['usersearchcache']), 'usersearchcache');
   * $dbr->execute(intval($_POST['lifelistcache']), 'lifelistcache');
   * $dbr->execute(intval($_POST['vkladlistcache']), 'vkladlistcache');
   * $dbr->execute(intval($_POST['adminlistcache']), 'adminlistcache');
   * $dbr->execute(intval($_POST['regusercache']), 'regusercache');
   * $dbr->execute(intval($_POST['themescache']), 'themescache');
   * 
   * save_setting();
   * 
   * $_SESSION['note'] = 'Настройки сайта успешно изменены!';
   * header ("Location: setting.php?".SID); exit;
   * 
   * } else {show_error('Ошибка! Все поля настроек обязательны для заполнения!');}
   * } else {show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');}
   * 
   * echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setnine&amp;'.SID.'">Вернуться</a><br />';
   * break;
   */
  # ###########################################################################################
  # #                               Форма изменения безопасности                             ##
  # ###########################################################################################
  case 'setten':

    echo '<b>Настройки безопасности</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editten&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Замена смайлов в сообщениях:<br /><input name="resmiles" maxlength="2" value="' . $setting['resmiles'] . '" /><br />';

    echo '<br />Защитная картинка: ';
    $checked = ($setting['protectimg'] == 1) ? ' checked="checked"' : '';
    echo '<input name="protectimg" type="checkbox" value="1"' . $checked . ' /><br />';

    echo 'Деформация картинки: ';
    $checked = ($setting['protectdef'] == 1) ? ' checked="checked"' : '';
    echo '<input name="protectdef" type="checkbox" value="1"' . $checked . ' /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                               Изменение безопасности                                   ##
  # ###########################################################################################
  case 'editte':

    $uid = check($_GET['uid']);
    $protectimg = (empty($_POST['protectimg'])) ? 0 : 1;
    $protectdef = (empty($_POST['protectdef'])) ? 0 : 1;

    if ($uid == $_SESSION['token']) {
      if ($_POST['resmiles'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['resmiles']), 'resmiles');
        $dbr -> execute($protectimg, 'protectimg');
        $dbr -> execute($protectdef, 'protectdef');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=setten&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=setten&amp;' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                            Форма изменения стоимости и цен                             ##
  # ###########################################################################################
  case 'seteleven':

    echo '<b>Стоимость и цены</b><br /><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="setting.php?act=editeleven&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    echo 'Цена на покупку аватара: <br /><input name="avatarpay" maxlength="9" value="' . $setting['avatarpay'] . '" /><br />';
    echo 'Цена на загрузку аватара: <br /><input name="avatarupload" maxlength="9" value="' . $setting['avatarupload'] . '" /><br />';
    echo 'Актива для загрузки аватара: <br /><input name="avatarpoints" maxlength="4" value="' . $setting['avatarpoints'] . '" /><br />';
    echo 'Размер загружаемого аватара (px): <br /><input name="avatarsize" maxlength="3" value="' . $setting['avatarsize'] . '" /><br />';
    echo 'Вес загружаемого аватара (byte): <br /><input name="avatarweight" maxlength="5" value="' . $setting['avatarweight'] . '" /><br />';
    echo 'Джек-пот в лотерее: <br /><input name="jackpot" maxlength="9" value="' . $setting['jackpot'] . '" /><br />';
    echo 'Макс. ставка в игре 21-очко: <br /><input name="ochkostavka" maxlength="9" value="' . $setting['ochkostavka'] . '" /><br />';
    echo 'Мин. сумма кредита: <br /><input name="minkredit" maxlength="9" value="' . $setting['minkredit'] . '" /><br />';
    echo 'Макс. сумма кредита: <br /><input name="maxkredit" maxlength="9" value="' . $setting['maxkredit'] . '" /><br />';
    echo 'Проценты банка за кредит: <br /><input name="percentkredit" maxlength="9" value="' . $setting['percentkredit'] . '" /><br />';
    echo 'Максимальная сумма в банке: <br /><input name="maxsumbank" maxlength="10" value="' . $setting['maxsumbank'] . '" /><br />';
    echo 'Выигрыш в игре Угадай число: <br /><input name="hisumma" maxlength="9" value="' . $setting['hisumma'] . '" /><br />';
    echo 'Попыток в игре Угадай число: <br /><input name="hipopytka" maxlength="9" value="' . $setting['hipopytka'] . '" /><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                               Изменение стоимости и цен                                ##
  # ###########################################################################################
  case 'editeleven':

    $uid = check($_GET['uid']);

    if ($uid == $_SESSION['token']) {
      if ($_POST['avatarpay'] != "" && $_POST['avatarupload'] != "" && $_POST['avatarpoints'] != "" && $_POST['avatarsize'] != "" && $_POST['avatarweight'] != "" && $_POST['jackpot'] != "" && $_POST['ochkostavka'] != "" && $_POST['minkredit'] != "" && $_POST['maxkredit'] != "" && $_POST['percentkredit'] != "" && $_POST['maxsumbank'] != "" && $_POST['hisumma'] != "" && $_POST['hipopytka'] != "") {
        $dbr = DB :: $dbh -> prepare("UPDATE `setting` SET `setting_value`=? WHERE `setting_name`=?;");
        $dbr -> execute(intval($_POST['avatarpay']), 'avatarpay');
        $dbr -> execute(intval($_POST['avatarupload']), 'avatarupload');
        $dbr -> execute(intval($_POST['avatarpoints']), 'avatarpoints');
        $dbr -> execute(intval($_POST['avatarsize']), 'avatarsize');
        $dbr -> execute(intval($_POST['avatarweight']), 'avatarweight');
        $dbr -> execute(intval($_POST['jackpot']), 'jackpot');
        $dbr -> execute(intval($_POST['ochkostavka']), 'ochkostavka');
        $dbr -> execute(intval($_POST['minkredit']), 'minkredit');
        $dbr -> execute(intval($_POST['maxkredit']), 'maxkredit');
        $dbr -> execute(intval($_POST['percentkredit']), 'percentkredit');
        $dbr -> execute(intval($_POST['maxsumbank']), 'maxsumbank');
        $dbr -> execute(intval($_POST['hisumma']), 'hisumma');
        $dbr -> execute(intval($_POST['hipopytka']), 'hipopytka');

        save_setting();

        $_SESSION['note'] = 'Настройки сайта успешно изменены!';
        header ("Location: setting.php?act=seteleven&amp;" . SID);
        exit;
      } else {
        show_error('Ошибка! Все поля настроек обязательны для заполнения!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="setting.php?act=seteleven&amp;' . SID . '">Вернуться</a><br />';
    break;

  default:
    header("location: setting.php?" . SID);
    exit;
    endswitch;

    echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
  } else {
  header ('Location: ' . BASEDIR . 'index.php?' . SID);
  exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>